UndoableEditEvent (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class UndoableEditEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.UndoableEditEvent

All Implemented Interfaces:
  Serializable

public class UndoableEditEvent
extends EventObject

An event indicating that an operation which can be undone has occurred.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UndoableEditEvent(Object source, UndoableEdit edit)` Constructs an UndoableEditEvent object.

Method Summary
`UndoableEdit` | `getEdit()` Returns the edit value.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndoableEditEvent

    public UndoableEditEvent(Object source,
                             UndoableEdit edit)

  Constructs an UndoableEditEvent object.

Parameters:
  `source` - the Object that originated the event (typically `this`)
  `edit` - an UndoableEdit object

Method Detail

### getEdit

    public UndoableEdit getEdit()

  Returns the edit value.

  Returns:
    the UndoableEdit object encapsulating the edit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.